### A free/open-source library for quantitative finance

Classes
ql/math/integrals/trapezoidintegral.hpp File Reference

integral of a one-dimensional function using the trapezoid formula More...

`#include <ql/math/integrals/integral.hpp>`
`#include <ql/utilities/null.hpp>`
`#include <ql/errors.hpp>`
Include dependency graph for trapezoidintegral.hpp:

## Classes

class | TrapezoidIntegral< IntegrationPolicy >
| Integral of a one-dimensional function. More...

## Detailed Description

integral of a one-dimensional function using the trapezoid formula